%{?nodejs_find_provides_and_requires}

%global enable_tests 1
%global github_tag_hash 2bae7db797d8d69a1dec909c156c11c27b2357fa

Name:       nodejs-multimatch
Version:    2.0.0
Release:    1%{?dist}
Summary:    Adds multiple patterns support to minimatch.match()
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/sindresorhus/multimatch
Source0:    http://registry.npmjs.org/multimatch/-/multimatch-%{version}.tgz
# npm tarball doesn't include the tests, so grab the test.js file from github
Source1:    https://raw.githubusercontent.com/sindresorhus/multimatch/%{github_tag_hash}/test.js
# Include a copy of the MIT license from github to comply with license requirements.
Source2:    https://raw.githubusercontent.com/sindresorhus/multimatch/%{github_tag_hash}/license

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(array-differ)
BuildRequires:  npm(array-union)
BuildRequires:  npm(chai)
BuildRequires:  npm(lodash)
BuildRequires:  npm(minimatch)
BuildRequires:  npm(mocha)
%endif

%description
%{summary}.


%prep
%setup -q -n package
cp -p %{SOURCE1} test.js
cp -p %{SOURCE2} .

%nodejs_fixdep minimatch


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/multimatch
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/multimatch

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha --reporter spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license license
%{nodejs_sitelib}/multimatch


%changelog
* Thu Oct 22 2015 Jared Smith <jsmith@fedoraproject.org> - 2.0.0-1
- Update to upstream 2.0.0 release

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Mar 29 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.0-1
- initial package
